Add www6to4 1.5, lightweight http proxy to help IPv4 only browsers.

PR:		ports/36186
Submitted by:	Janos Mohacsi <janos.mohacsi@dante.org.uk>
This commit is contained in:
Oliver Braun 2002-09-10 21:36:05 +00:00
parent 4f0988e959
commit b2f10820bd
Notes: svn2git 2021-03-31 03:12:20 +00:00
svn path=/head/; revision=66093
9 changed files with 126 additions and 0 deletions

View file

@ -416,6 +416,7 @@
SUBDIR += wmnetselect
SUBDIR += wn
SUBDIR += wsmake
SUBDIR += www6to4
SUBDIR += wwwcount
SUBDIR += wwwoffle
SUBDIR += wwwstat

33
www/www6to4/Makefile Normal file
View file

@ -0,0 +1,33 @@
# New ports collection makefile for: www6to4
# Date created: 22.03.2002
# Whom: Janos Mohacsi <janos.mohacsi@dante.org.uk>
#
# $FreeBSD$
PORTNAME= www6to4
PORTVERSION= 1.5
CATEGORIES= www ipv6
MASTER_SITES= ftp://ftp.pasta.cs.uit.no/pub/Vermicelli/
MAINTAINER= Janos.Mohacsi@dante.org.uk
do-install:
${INSTALL_PROGRAM} ${WRKSRC}/www6to4 ${PREFIX}/sbin
@if [ ! -d ${PREFIX}/etc/www6to4 ]; then \
${MKDIR} ${PREFIX}/etc/www6to4; fi
${INSTALL_DATA} ${WRKSRC}/www6to4.conf \
${PREFIX}/etc/www6to4/www6to4.conf.sample
${INSTALL_DATA} ${WRKSRC}/www6to4_forward.conf \
${PREFIX}/etc/www6to4/www6to4_forward.conf.sample
.if !defined(NOPORTDOCS)
if [ ! -d ${DOCSDIR} ]; then \
${MKDIR} ${DOCSDIR}; fi
${INSTALL_DATA} ${WRKSRC}/README \
${DOCSDIR}
.endif
@if [ ! -f ${PREFIX}/etc/rc.d/www6to4.sh ]; then \
${ECHO} "Installing ${PREFIX}/etc/rc.d/www6to4.sh startup file."; \
${INSTALL_SCRIPT} -m 751 ${FILESDIR}/www6to4.sh ${PREFIX}/etc/rc.d/www6to4.sh; \
fi
.include <bsd.port.mk>

1
www/www6to4/distinfo Normal file
View file

@ -0,0 +1 @@
MD5 (www6to4-1.5.tar.gz) = 6f1e4940c0f82196d8ebbe52761e2478

View file

@ -0,0 +1,13 @@
*** Makefile.orig Fri Mar 22 00:24:37 2002
--- Makefile Fri Mar 22 00:25:17 2002
***************
*** 6,11 ****
--- 6,13 ----
OBJS = www6to4.o parsers.c loaders.o socket.o
+ all: $(PROG)
+
$(PROG): $(OBJS)
$(CC) $(CFLAGS) -o $(PROG) $(OBJS) $(LDFLAGS)

View file

@ -0,0 +1,19 @@
*** www6to4.c.orig Fri Mar 22 00:25:51 2002
--- www6to4.c Fri Mar 22 00:26:48 2002
***************
*** 59,65 ****
char *patterns[MAXPATTERNS];
int lastpattern = -1;
! char *default_configfile = "/etc/www6to4.conf";
char *configfile = NULL;
char *forwardfile = NULL;
int debug = 0;
--- 59,65 ----
char *patterns[MAXPATTERNS];
int lastpattern = -1;
! char *default_configfile = "/usr/local/etc/www6to4/www6to4.conf";
char *configfile = NULL;
char *forwardfile = NULL;
int debug = 0;

View file

@ -0,0 +1,41 @@
#!/bin/sh
# $FreeBSD$
if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
echo "$0: Cannot determine the PREFIX" >&2
exit 1
fi
WWW6TO4DIR=${PREFIX}/etc/www6to4
case $1 in
start)
if [ -d ${WWW6TO4DIR} \
-a -x ${PREFIX}/sbin/www6to4 \
-a -f ${WWW6TO4DIR}/www6to4.conf ]; then
: seems OK
else
echo >&2 "$0: missing files!"
exit 1
fi
cd ${WWW6TO4DIR}
su -m nobody -c "${PREFIX}/sbin/www6to4 &" \
>/dev/null \
&& echo -n " www6to4" \
|| echo " www6to4 FAILED TO START"
;;
stop)
killall www6to4 && echo -n " www6to4"
;;
restart)
$0 stop
$0 start
;;
*)
echo "Usage: `basename $0` {start|stop}" >&2
exit 64
;;
esac
exit 0

1
www/www6to4/pkg-comment Normal file
View file

@ -0,0 +1 @@
Lightweight http proxy to help IPv4 only browsers

10
www/www6to4/pkg-descr Normal file
View file

@ -0,0 +1,10 @@
This is a little WWW-proxy that can communicate over both IPv4 and IPv6. It's
primary use is as stub-proxy between a IPv4-only browser and the rest of the
(v4 and v6) Internet. This proxy is meant to run on a client machine as
frontend to an IPv4-only browser and not to serve a large number of clients.
If you need the latter you're much better off with a full-fledged proxy like
squid.
This program is based on same code copyrighted by the Junkbusters Corp.
WWW: http://www.vermicelli.pasta.cs.uit.no/ipv6/software.html

7
www/www6to4/pkg-plist Normal file
View file

@ -0,0 +1,7 @@
sbin/www6to4
etc/www6to4/www6to4.conf.sample
etc/www6to4/www6to4_forward.conf.sample
etc/rc.d/www6to4.sh
%%PORTDOCS%%share/doc/www6to4/README
@dirrm etc/www6to4
%%PORTDOCS%%@dirrm share/doc/www6to4